iOS 4.2 Jailbreak: All You Need to Know

Yes, there’ll be an iOS 4.2 jailbreak but it won’t be an untethered one unless you’ve SHSH blobs saved for iOS 4.1, according to Comex, the hacker behind JailbreakMe, and Spirit jailbreaks.

With the release of iOS 4.2 just around the corner, jailbreak community is wondering when and what type of jailbreak they will be getting. Both Limera1n and Greenpois0n uses the bootrom exploit developed by GeoHot + Comex’s userland exploit to provide an untethered jailbreak solution. The bootrom exploit alone becomes a tethered jailbreak. While it’s impossible for Apple patch the bootrom exploit without hardware revision, the Comex’s userland jailbreak thought can easily be patched with a firmware update e.g. iOS 4.2. So, the risk of getting a tethered jailbreak still remains.

The good news is, you can still get an untethered iOS 4.2 jailbreak even if Apple patches Userland exploit. All you need to do is Save SHSH Blobs for iOS 4.1 before iOS 4.2 hits masses, according to Comex.

ios-4.2-jailbreak-untethered

The bad news is that the iOS 4.2 jailbreak might be delayed because Cydia is not compatible with iOS 4.2.

ios-4.2-jailbreak-untethered

So, in order to get an untethered iOS 4.2 jailbreak, make sure you save SHSH blobs for iOS 4.1 while Apple is signing it. Apple will stop signing iOS 4.1 as soon as iOS 4.2 is released to general public.

How to: Save SHSH blobs for iOS 4.1

iOS 4.2/4.1 unlock is almost ready and will be released soon after iOS 4.2 jailbreak tool is out. We will update you as soon as a new jailbreak tool surfaces the scene. Stay Tuned!

You can follow us on Twitter, Join us at Facebook, and also Subscribed to RSS Feed to receive latest updates.

16 comments… add one
Marky November 4, 2010, 7:28 pm

My IPhone is running iOS 4.01 with jailbreak (jailbreakMe) and unlocked with ultrasnow. May I upgrade to 4.1 or wait 4.2? I’ve SHSH saved for 4.01 and earlier…

GrDr November 6, 2010, 8:08 pm

You can upgrade to 4.1 with tinyumbrella-4.1.12 w/o upgrade the modem, JB with limera1n/Greenpo1son and unlock with Ulrtasnow 1.1-1

mdzago November 7, 2010, 2:10 am

But Tinyumbrella only preserve baseband in Iphone 4! Mine is 3GS!

jax November 7, 2010, 3:06 am

thats why you would never trust in a comment from people who doesnt know a thing about iphones & jailbreak…

as you never said the kind of iphone you have… obviously there was no answer to your question.

you better wait to the 4.2 to come up, the unlock for both versions will be available soon 😉

ryan November 11, 2010, 11:44 am

use custom firmware build by pwnage or snowbreeze 🙂 duh

Leadpoison November 7, 2010, 6:43 am

Can’t figure out how to jailbreak my pad am I missing something I find sites that say I can and then some that say not yet

ivekper November 7, 2010, 10:45 pm

you can download custom restore of 4.1 and preserve baseband on which you are and unlock with ultrasnow 1.1.1
download cutom restore maded by pwnage tools:
http://rapidshare.com/#!download|51|426435265|iPhone2_1_4.1_8B117_Custom_Restore.ipsw.001|207618

Roy November 9, 2010, 1:04 am

How about changing the colors of your website. It’s really hard to read. Thanks!

AfRoO November 9, 2010, 4:01 pm

I like it 😉

AfRoO November 9, 2010, 4:02 pm

hey guys hey iphone-heat,
does anybody knew when the new 4.2 coming??

Lucky November 15, 2010, 11:46 am

iPad original version 3.2.2. Now I updated to 4.2, but when I need to restore back to 3.2.2 via itune it shows message 1015 code error of firmware, any one know how to settle it?

Leave a Comment